Continue to Site

Welcome to MCAD Central

Join our MCAD Central community forums, the largest resource for MCAD (Mechanical Computer-Aided Design) professionals, including files, forums, jobs, articles, calendar, and more.

How to get dimensions as per the selected layer with VB.net

Kaixuan

New member
view1.jpgview2.jpg
As shown in attachments. In Cero, Different view layer has different dimensions. I need to achieve this by VB api.
I have tried IpfcLayer as follow:
layerModelItems = CType(model, IpfcModelItemOwner).ListItems(EpfcModelItemType.EpfcITEM_LAYER)

Dim itemsInLayer As IpfcModelItems
Dim layer As IpfcLayer
For i = 0 To layerModelItems.Count - 1
layer = CType(layerModelItems.Item(i), IpfcLayer)
Debug.WriteLine(layerModelItems.Item(i).GetName())
If (Not layer Is Nothing) Then
itemsInLayer = layer.ListItems()
For j = 0 To itemsInLayer.Count
Debug.WriteLine((itemsInLayer.Item(j).GetName()))
Next
End If

Next

However, it is not what I want.

Is there any idea on this? I will appreciate for any suggestions/idea.
 

Sponsor

Articles From 3DCAD World

Back
Top